package beyondsoft.bewomitarbeiterapp;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

/**
 * Created by bib on 02.05.2016.
 */
public class LoginActiviti extends ActionBarActivity {
    //##################### Variablen ####################
    protected Button loginbutton;
    protected Button beendenbutton;

    protected EditText kunnr;
    protected EditText user;
    protected EditText paswd;
    protected String[] MitarbeiterloginString = new String[3];

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.login);

        setzeButtonListener();
        setzeEditText();

    }



    //########################## Action events der Jeweiligen Buttons
    public void LoginApp(){

    //Server Überprüfung mit den werten

        //Hier mus Serveraufruf mit rückgabe wert als string array

        MitarbeiterloginString[0]="placeholder";
        MitarbeiterloginString[1]="placeholder";
        MitarbeiterloginString[2]="placeholder";


        if(kunnr.getText().toString().equals(MitarbeiterloginString[0]) && user.getText().toString().equals(MitarbeiterloginString[1]) && paswd.getText().toString().equals(MitarbeiterloginString[2])) {

            startActivity(new Intent(getBaseContext(), MainActivityMitarbeiter.class));

        }else if(user.getText().toString().equals("demo")){

            startActivity(new Intent(getBaseContext(), MainActivityMitarbeiter.class));

        }else{

            new AlertDialog.Builder(this).setTitle("Fehler").setMessage("Benutzername oder Passwort falsch!").setNeutralButton("Schließen", null).show();

            kunnr.setText("");
            user.setText("");
            paswd.setText("");

        }
    }



    public void LogoutApp(){

        System.exit(0);

    }


    public void setzeButtonListener(){

        //################## Kalender Button ######################
        loginbutton = (Button) findViewById(R.id.Loginbutton);
        loginbutton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                LoginApp();

            }
        });

        //################# Kassen Button #########################
        beendenbutton = (Button) findViewById(R.id.Beendenbutton);
        beendenbutton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                LogoutApp();

            }
        });

    }

    public void setzeEditText(){
        kunnr = (EditText) findViewById(R.id.KundennrText);

        user = (EditText) findViewById(R.id.UsernameText);

        paswd = (EditText) findViewById(R.id.PWText);
    }



}
